 package com.huatek.busi.service.threshold;

import java.util.List;

import com.huatek.busi.dto.InfraredThresholdDto;
import com.huatek.busi.vo.InfraredThresholdVo;

/**
  * 红外测温阈值
  * @author buck_guo
  * @date 2019/08/09
  */
 public interface InfraredThresholdService {
     InfraredThresholdVo queryInfraredThreshold(String sensorCode,String workStatus);
     
     List<InfraredThresholdVo> queryInfraredThresholdBySensorCode(String sensorCode);
     
     /**
      * 
      * @param infraredThresholdDto
      * @return
      */
     int insertOrUpdate(String token,InfraredThresholdDto[] infraredThresholdDto);
     
     /**
      * 新增sensor时增加16个空阈值对象
      * @param sensorCode
      * @param type
      * @return
      */
     int addSensorInsertInfrared(String token,String sensorCode,String type);
     
     /**
      * 删除红外测温sensor阈值
      */
     int  deleteSensorInsertInfrared(String sensorCode);
     
     /**
      * 编辑红外测温sensor阈值
      */
     int  updateSensorInsertInfrared(String oldSensorCode,String newSensorCode);
}
